Public Class usrCntlATLAS_ncts_Adressen
    '  Dim OWNER As Control
    Dim ncts_OUT As DAKOSY_Worker.cDakosyNCTSOut = Nothing
    Dim NCTS_TR As VERAG_PROG_ALLGEMEIN.cNCTS_TR = Nothing
    'Sub New(OWNER As Control, ncts_OUT As DAKOSY_Worker.cDakosyNCTSOut)
    Dim FIRMA_DY = VERAG_PROG_ALLGEMEIN.cAllgemein.FIRMA
    Sub New(ncts_OUT As DAKOSY_Worker.cDakosyNCTSOut, FIRMA_DY As String)
        InitializeComponent()
        'Me.OWNER = OWNER
        Me.ncts_OUT = ncts_OUT
        Me.FIRMA_DY = FIRMA_DY
    End Sub

    Sub New(NCTS_TR As VERAG_PROG_ALLGEMEIN.cNCTS_TR, FIRMA_DY As String)
        InitializeComponent()
        'Me.OWNER = OWNER
        Me.NCTS_TR = NCTS_TR
        Me.FIRMA_DY = FIRMA_DY
    End Sub

    Public Sub usrCntlATLAS_ncts_Adressen_Load(sender As Object, e As EventArgs) Handles Me.Load
        '    usrCntlSumA_Befoerderer.initME()
        MyComboBox1.Items.Clear()
        Select Case FIRMA_DY
            Case "UNISPED"
                MyComboBox1.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Unisped Speditions GMBH (AT)", "UNISPED_AT"))
                MyComboBox1.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Unisped Speditions GMBH (DE)", "UNISPED_DE"))
                MyComboBox1.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("EKOL Sultanbeyli -Istanbul", "EKOL"))
                MyComboBox1.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("MARS Istanbul", "MARS"))
                MyComboBox1.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("SGS Hamburg", "SGS"))
                MyComboBox1.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("TOBB Ankara", "TOBB"))
            Case Else
                MyComboBox1.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("VERAG Spedition GMBH", "VERAG_GMBH"))
                MyComboBox1.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("VERAG Spedition AG", "VERAG_AG"))
                ' MyComboBox1.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("ATILLA", "ATILLA"))
                MyComboBox1.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("EKOL Sultanbeyli -Istanbul", "EKOL"))
                MyComboBox1.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("MARS Istanbul", "MARS"))
                MyComboBox1.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("SGS Hamburg", "SGS"))
                MyComboBox1.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("TOBB Ankara", "TOBB"))
        End Select

    End Sub


    Public Sub getValues(ByRef NCTS As DAKOSY_Worker.cDakosyNCTSOut)

        NCTS.ncts_Hauptverpflichteter_Name = cProgramFunctions.isLeerNothing(usrCntlHauptverpflichteter.kdFirma.Text)
        NCTS.ncts_Hauptverpflichteter_StrasseHausnummer = cProgramFunctions.isLeerNothing(usrCntlHauptverpflichteter.txtStrasse.Text)
        NCTS.ncts_Hauptverpflichteter_PLZ = cProgramFunctions.isLeerNothing(usrCntlHauptverpflichteter.txtPlz.Text)
        NCTS.ncts_Hauptverpflichteter_Ort = cProgramFunctions.isLeerNothing(usrCntlHauptverpflichteter.txtOrt.Text)
        NCTS.ncts_Hauptverpflichteter_Land = cProgramFunctions.isLeerNothing(usrCntlHauptverpflichteter.sbLand._value)
        NCTS.ncts_Hauptverpflichteter_EORI = cProgramFunctions.isLeerNothing(usrCntlHauptverpflichteter.txtEORI.Text)
        NCTS.ncts_Hauptverpflichteter_NLNR = cProgramFunctions.isLeerNothing(usrCntlHauptverpflichteter.txtEORINL.Text)


        NCTS.ncts_Versender_Name = cProgramFunctions.isLeerNothing(usrCntlVersender.kdFirma.Text)
        NCTS.ncts_Versender_StrasseHausnummer = cProgramFunctions.isLeerNothing(usrCntlVersender.txtStrasse.Text)
        NCTS.ncts_Versender_PLZ = cProgramFunctions.isLeerNothing(usrCntlVersender.txtPlz.Text)
        NCTS.ncts_Versender_Ort = cProgramFunctions.isLeerNothing(usrCntlVersender.txtOrt.Text)
        NCTS.ncts_Versender_Land = cProgramFunctions.isLeerNothing(usrCntlVersender.sbLand._value)
        NCTS.ncts_Versender_EORI = cProgramFunctions.isLeerNothing(usrCntlVersender.txtEORI.Text)
        NCTS.ncts_Versender_NLNR = cProgramFunctions.isLeerNothing(usrCntlVersender.txtEORINL.Text)
        'NCTS.ncts_Versender_TIN = cProgramFunctions.isLeerNothing(usrCntlVersender..Text)


        NCTS.ncts_Empfaenger_Name = cProgramFunctions.isLeerNothing(usrCntlEmpfaenger.kdFirma.Text)
        NCTS.ncts_Empfaenger_StrasseHausnummer = cProgramFunctions.isLeerNothing(usrCntlEmpfaenger.txtStrasse.Text)
        NCTS.ncts_Empfaenger_PLZ = cProgramFunctions.isLeerNothing(usrCntlEmpfaenger.txtPlz.Text)
        NCTS.ncts_Empfaenger_Ort = cProgramFunctions.isLeerNothing(usrCntlEmpfaenger.txtOrt.Text)
        NCTS.ncts_Empfaenger_Land = cProgramFunctions.isLeerNothing(usrCntlEmpfaenger.sbLand._value)
        NCTS.ncts_Empfaenger_EORI = cProgramFunctions.isLeerNothing(usrCntlEmpfaenger.txtEORI.Text)
        NCTS.ncts_Empfaenger_NLNR = cProgramFunctions.isLeerNothing(usrCntlEmpfaenger.txtEORINL.Text)
        NCTS.ncts_ZugelassenerEmpfaenger_EORI = cProgramFunctions.isLeerNothing(usrCntlZugelEmpfaenger.txtEORI.Text)
        '   MsgBox(NCTS.ncts_ZugelassenerEmpfaenger_EORI)
        'SumA:  Beförderer
        '--------------------------------

        NCTS.ncts_SumA_Befoerderer_Name = cProgramFunctions.isLeerNothing(usrCntlSumA_Befoerderer.kdFirma.Text)
        NCTS.ncts_SumA_Befoerderer_StrasseHausnummer = cProgramFunctions.isLeerNothing(usrCntlSumA_Befoerderer.txtStrasse.Text)
        NCTS.ncts_SumA_Befoerderer_PLZ = cProgramFunctions.isLeerNothing(usrCntlSumA_Befoerderer.txtPlz.Text)
        NCTS.ncts_SumA_Befoerderer_Ort = cProgramFunctions.isLeerNothing(usrCntlSumA_Befoerderer.txtOrt.Text)
        NCTS.ncts_SumA_Befoerderer_Land = cProgramFunctions.isLeerNothing(usrCntlSumA_Befoerderer.sbLand._value)
        NCTS.ncts_SumA_Befoerderer_EORI = cProgramFunctions.isLeerNothing(usrCntlSumA_Befoerderer.txtEORI.Text)
        NCTS.ncts_SumA_Befoerderer_NLNR = cProgramFunctions.isLeerNothing(usrCntlSumA_Befoerderer.txtEORINL.Text)

        If cbxSumABeforderer.Checked Then
            NCTS.ncts_SumA_Empfaenger_Name = cProgramFunctions.isLeerNothing(usrCntlSumA_Befoerderer.kdFirma.Text)
            NCTS.ncts_SumA_Empfaenger_StrasseHausnummer = cProgramFunctions.isLeerNothing(usrCntlSumA_Befoerderer.txtStrasse.Text)
            NCTS.ncts_SumA_Empfaenger_PLZ = cProgramFunctions.isLeerNothing(usrCntlSumA_Befoerderer.txtPlz.Text)
            NCTS.ncts_SumA_Empfaenger_Ort = cProgramFunctions.isLeerNothing(usrCntlSumA_Befoerderer.txtOrt.Text)
            NCTS.ncts_SumA_Empfaenger_Land = cProgramFunctions.isLeerNothing(usrCntlSumA_Befoerderer.sbLand._value)
            NCTS.ncts_SumA_Empfaenger_EORI = cProgramFunctions.isLeerNothing(usrCntlSumA_Befoerderer.txtEORI.Text)
            NCTS.ncts_SumA_Empfaenger_NLNR = cProgramFunctions.isLeerNothing(usrCntlSumA_Befoerderer.txtEORINL.Text)

            NCTS.ncts_SumA_Versender_Name = cProgramFunctions.isLeerNothing(usrCntlSumA_Befoerderer.kdFirma.Text)
            NCTS.ncts_SumA_Versender_StrasseHausnummer = cProgramFunctions.isLeerNothing(usrCntlSumA_Befoerderer.txtStrasse.Text)
            NCTS.ncts_SumA_Versender_PLZ = cProgramFunctions.isLeerNothing(usrCntlSumA_Befoerderer.txtPlz.Text)
            NCTS.ncts_SumA_Versender_Ort = cProgramFunctions.isLeerNothing(usrCntlSumA_Befoerderer.txtOrt.Text)
            NCTS.ncts_SumA_Versender_Land = cProgramFunctions.isLeerNothing(usrCntlSumA_Befoerderer.sbLand._value)
            NCTS.ncts_SumA_Versender_EORI = cProgramFunctions.isLeerNothing(usrCntlSumA_Befoerderer.txtEORI.Text)
            NCTS.ncts_SumA_Versender_NLNR = cProgramFunctions.isLeerNothing(usrCntlSumA_Befoerderer.txtEORINL.Text)
        Else
            NCTS.ncts_SumA_Empfaenger_Name = cProgramFunctions.isLeerNothing(usrCntlSumA_Empfaenger.kdFirma.Text)
            NCTS.ncts_SumA_Empfaenger_StrasseHausnummer = cProgramFunctions.isLeerNothing(usrCntlSumA_Empfaenger.txtStrasse.Text)
            NCTS.ncts_SumA_Empfaenger_PLZ = cProgramFunctions.isLeerNothing(usrCntlSumA_Empfaenger.txtPlz.Text)
            NCTS.ncts_SumA_Empfaenger_Ort = cProgramFunctions.isLeerNothing(usrCntlSumA_Empfaenger.txtOrt.Text)
            NCTS.ncts_SumA_Empfaenger_Land = cProgramFunctions.isLeerNothing(usrCntlSumA_Empfaenger.sbLand._value)
            NCTS.ncts_SumA_Empfaenger_EORI = cProgramFunctions.isLeerNothing(usrCntlSumA_Empfaenger.txtEORI.Text)
            NCTS.ncts_SumA_Empfaenger_NLNR = cProgramFunctions.isLeerNothing(usrCntlSumA_Empfaenger.txtEORINL.Text)

            NCTS.ncts_SumA_Versender_Name = cProgramFunctions.isLeerNothing(usrCntlSumA_Versender.kdFirma.Text)
            NCTS.ncts_SumA_Versender_StrasseHausnummer = cProgramFunctions.isLeerNothing(usrCntlSumA_Versender.txtStrasse.Text)
            NCTS.ncts_SumA_Versender_PLZ = cProgramFunctions.isLeerNothing(usrCntlSumA_Versender.txtPlz.Text)
            NCTS.ncts_SumA_Versender_Ort = cProgramFunctions.isLeerNothing(usrCntlSumA_Versender.txtOrt.Text)
            NCTS.ncts_SumA_Versender_Land = cProgramFunctions.isLeerNothing(usrCntlSumA_Versender.sbLand._value)
            NCTS.ncts_SumA_Versender_EORI = cProgramFunctions.isLeerNothing(usrCntlSumA_Versender.txtEORI.Text)
            NCTS.ncts_SumA_Versender_NLNR = cProgramFunctions.isLeerNothing(usrCntlSumA_Versender.txtEORINL.Text)

        End If
    End Sub


    Public Sub setValues(NCTS) ' As DAKOSY_Worker.cDakosyNCTSOut)

        'usrCntlSumA_Befoerderer.initME()
        If NCTS Is Nothing Then Exit Sub


        usrCntlHauptverpflichteter.kdFirma.Text = NCTS.ncts_Hauptverpflichteter_Name
        usrCntlHauptverpflichteter.txtStrasse.Text = NCTS.ncts_Hauptverpflichteter_StrasseHausnummer
        usrCntlHauptverpflichteter.txtPlz.Text = NCTS.ncts_Hauptverpflichteter_PLZ
        usrCntlHauptverpflichteter.txtOrt.Text = NCTS.ncts_Hauptverpflichteter_Ort
        usrCntlHauptverpflichteter.txtEORI.Text = NCTS.ncts_Hauptverpflichteter_EORI
        usrCntlHauptverpflichteter.txtEORINL.Text = NCTS.ncts_Hauptverpflichteter_NLNR
        usrCntlHauptverpflichteter.sbLand.SET_VALUE(NCTS.ncts_Hauptverpflichteter_Land)

        usrCntlZugelEmpfaenger.txtEORI.Text = NCTS.ncts_ZugelassenerEmpfaenger_EORI
        'usrCntlHauptverpflichteter.txtAnsprechpartner.Text=NCTS.ncts_Hauptverpflichteter_Ansprechpartner ' git es nicht

        usrCntlVersender.kdFirma.Text = NCTS.ncts_Versender_Name
        usrCntlVersender.txtStrasse.Text = NCTS.ncts_Versender_StrasseHausnummer
        usrCntlVersender.txtPlz.Text = NCTS.ncts_Versender_PLZ
        usrCntlVersender.txtOrt.Text = NCTS.ncts_Versender_Ort
        usrCntlVersender.txtEORI.Text = NCTS.ncts_Versender_EORI
        usrCntlVersender.txtEORINL.Text = NCTS.ncts_Versender_NLNR
        usrCntlVersender.sbLand.SET_VALUE(NCTS.ncts_Versender_Land)
        'usrCntlVersender.txtAnsprechpartner.Text=NCTS.ncts_Versender_Ansprechpartner ' git es nicht

        usrCntlEmpfaenger.kdFirma.Text = NCTS.ncts_Empfaenger_Name
        usrCntlEmpfaenger.txtStrasse.Text = NCTS.ncts_Empfaenger_StrasseHausnummer
        usrCntlEmpfaenger.txtPlz.Text = NCTS.ncts_Empfaenger_PLZ
        usrCntlEmpfaenger.txtOrt.Text = NCTS.ncts_Empfaenger_Ort
        usrCntlEmpfaenger.txtEORI.Text = NCTS.ncts_Empfaenger_EORI
        usrCntlEmpfaenger.txtEORINL.Text = NCTS.ncts_Empfaenger_NLNR
        usrCntlEmpfaenger.sbLand.SET_VALUE(NCTS.ncts_Empfaenger_Land)
        'usrCntlEmpfaenger.txtAnsprechpartner.Text=NCTS.ncts_Empfaenger_Ansprechpartner ' git es nicht

        ' usrCntlHauptverpflichteter.txtEORI.Text = NCTS.ncts_ZugelassenerEmpfaenger_EORI
        'usrCntlHauptverpflichteter.txtEORINL.Text = NCTS.ncts_ZugelassenerEmpfaenger_BewilligungsnummerVersender
        'usrCntlHauptverpflichteter.sbLand.SET_VALUE(NCTS.ncts_Hauptverpflichteter_Land)
        'usrCntlHauptverpflichteter.txtAnsprechpartner.Text=NCTS.ncts_Hauptverpflichteter_Ansprechpartner ' git es nicht

        usrCntlSumA_Befoerderer.kdFirma.Text = NCTS.ncts_SumA_Befoerderer_Name
        usrCntlSumA_Befoerderer.txtStrasse.Text = NCTS.ncts_SumA_Befoerderer_StrasseHausnummer
        usrCntlSumA_Befoerderer.txtPlz.Text = NCTS.ncts_SumA_Befoerderer_PLZ
        usrCntlSumA_Befoerderer.txtOrt.Text = NCTS.ncts_SumA_Befoerderer_Ort
        usrCntlSumA_Befoerderer.txtEORI.Text = NCTS.ncts_SumA_Befoerderer_EORI
        usrCntlSumA_Befoerderer.txtEORINL.Text = NCTS.ncts_SumA_Befoerderer_NLNR
        usrCntlSumA_Befoerderer.sbLand.SET_VALUE(NCTS.ncts_SumA_Befoerderer_Land)
        'usrCntlSumA_Befoerderer.txtAnsprechpartner.Text=NCTS.ncts_SumA_Befoerderer_Ansprechpartner ' git es nicht

    End Sub
    Public Sub getValues_TR(ByRef NCTS As VERAG_PROG_ALLGEMEIN.cNCTS_TR)

        NCTS.ncts_Hauptverpflichteter_Name = cProgramFunctions.isLeerNothing(usrCntlHauptverpflichteter.kdFirma.Text)
        NCTS.ncts_Hauptverpflichteter_StrasseHausnummer = cProgramFunctions.isLeerNothing(usrCntlHauptverpflichteter.txtStrasse.Text)
        NCTS.ncts_Hauptverpflichteter_PLZ = cProgramFunctions.isLeerNothing(usrCntlHauptverpflichteter.txtPlz.Text)
        NCTS.ncts_Hauptverpflichteter_Ort = cProgramFunctions.isLeerNothing(usrCntlHauptverpflichteter.txtOrt.Text)
        NCTS.ncts_Hauptverpflichteter_Land = cProgramFunctions.isLeerNothing(usrCntlHauptverpflichteter.sbLand._value)
        NCTS.ncts_Hauptverpflichteter_EORI = cProgramFunctions.isLeerNothing(usrCntlHauptverpflichteter.txtEORI.Text)
        NCTS.ncts_Hauptverpflichteter_NLNR = cProgramFunctions.isLeerNothing(usrCntlHauptverpflichteter.txtEORINL.Text)


        NCTS.ncts_Versender_Name = cProgramFunctions.isLeerNothing(usrCntlVersender.kdFirma.Text)
        NCTS.ncts_Versender_StrasseHausnummer = cProgramFunctions.isLeerNothing(usrCntlVersender.txtStrasse.Text)
        NCTS.ncts_Versender_PLZ = cProgramFunctions.isLeerNothing(usrCntlVersender.txtPlz.Text)
        NCTS.ncts_Versender_Ort = cProgramFunctions.isLeerNothing(usrCntlVersender.txtOrt.Text)
        NCTS.ncts_Versender_Land = cProgramFunctions.isLeerNothing(usrCntlVersender.sbLand._value)
        NCTS.ncts_Versender_EORI = cProgramFunctions.isLeerNothing(usrCntlVersender.txtEORI.Text)
        NCTS.ncts_Versender_NLNR = cProgramFunctions.isLeerNothing(usrCntlVersender.txtEORINL.Text)
        'NCTS.ncts_Versender_TIN = cProgramFunctions.isLeerNothing(usrCntlVersender..Text)


        NCTS.ncts_Empfaenger_Name = cProgramFunctions.isLeerNothing(usrCntlEmpfaenger.kdFirma.Text)
        NCTS.ncts_Empfaenger_StrasseHausnummer = cProgramFunctions.isLeerNothing(usrCntlEmpfaenger.txtStrasse.Text)
        NCTS.ncts_Empfaenger_PLZ = cProgramFunctions.isLeerNothing(usrCntlEmpfaenger.txtPlz.Text)
        NCTS.ncts_Empfaenger_Ort = cProgramFunctions.isLeerNothing(usrCntlEmpfaenger.txtOrt.Text)
        NCTS.ncts_Empfaenger_Land = cProgramFunctions.isLeerNothing(usrCntlEmpfaenger.sbLand._value)
        NCTS.ncts_Empfaenger_EORI = cProgramFunctions.isLeerNothing(usrCntlEmpfaenger.txtEORI.Text)
        NCTS.ncts_Empfaenger_NLNR = cProgramFunctions.isLeerNothing(usrCntlEmpfaenger.txtEORINL.Text)
        NCTS.ncts_ZugelassenerEmpfaenger_EORI = cProgramFunctions.isLeerNothing(usrCntlZugelEmpfaenger.txtEORI.Text)

        'SumA:  Beförderer
        '--------------------------------

        NCTS.ncts_SumA_Befoerderer_Name = cProgramFunctions.isLeerNothing(usrCntlSumA_Befoerderer.kdFirma.Text)
        NCTS.ncts_SumA_Befoerderer_StrasseHausnummer = cProgramFunctions.isLeerNothing(usrCntlSumA_Befoerderer.txtStrasse.Text)
        NCTS.ncts_SumA_Befoerderer_PLZ = cProgramFunctions.isLeerNothing(usrCntlSumA_Befoerderer.txtPlz.Text)
        NCTS.ncts_SumA_Befoerderer_Ort = cProgramFunctions.isLeerNothing(usrCntlSumA_Befoerderer.txtOrt.Text)
        NCTS.ncts_SumA_Befoerderer_Land = cProgramFunctions.isLeerNothing(usrCntlSumA_Befoerderer.sbLand._value)
        NCTS.ncts_SumA_Befoerderer_EORI = cProgramFunctions.isLeerNothing(usrCntlSumA_Befoerderer.txtEORI.Text)
        NCTS.ncts_SumA_Befoerderer_NLNR = cProgramFunctions.isLeerNothing(usrCntlSumA_Befoerderer.txtEORINL.Text)

        If cbxSumABeforderer.Checked Then
            NCTS.ncts_SumA_Empfaenger_Name = cProgramFunctions.isLeerNothing(usrCntlSumA_Befoerderer.kdFirma.Text)
            NCTS.ncts_SumA_Empfaenger_StrasseHausnummer = cProgramFunctions.isLeerNothing(usrCntlSumA_Befoerderer.txtStrasse.Text)
            NCTS.ncts_SumA_Empfaenger_PLZ = cProgramFunctions.isLeerNothing(usrCntlSumA_Befoerderer.txtPlz.Text)
            NCTS.ncts_SumA_Empfaenger_Ort = cProgramFunctions.isLeerNothing(usrCntlSumA_Befoerderer.txtOrt.Text)
            NCTS.ncts_SumA_Empfaenger_Land = cProgramFunctions.isLeerNothing(usrCntlSumA_Befoerderer.sbLand._value)
            NCTS.ncts_SumA_Empfaenger_EORI = cProgramFunctions.isLeerNothing(usrCntlSumA_Befoerderer.txtEORI.Text)
            NCTS.ncts_SumA_Empfaenger_NLNR = cProgramFunctions.isLeerNothing(usrCntlSumA_Befoerderer.txtEORINL.Text)

            NCTS.ncts_SumA_Versender_Name = cProgramFunctions.isLeerNothing(usrCntlSumA_Befoerderer.kdFirma.Text)
            NCTS.ncts_SumA_Versender_StrasseHausnummer = cProgramFunctions.isLeerNothing(usrCntlSumA_Befoerderer.txtStrasse.Text)
            NCTS.ncts_SumA_Versender_PLZ = cProgramFunctions.isLeerNothing(usrCntlSumA_Befoerderer.txtPlz.Text)
            NCTS.ncts_SumA_Versender_Ort = cProgramFunctions.isLeerNothing(usrCntlSumA_Befoerderer.txtOrt.Text)
            NCTS.ncts_SumA_Versender_Land = cProgramFunctions.isLeerNothing(usrCntlSumA_Befoerderer.sbLand._value)
            NCTS.ncts_SumA_Versender_EORI = cProgramFunctions.isLeerNothing(usrCntlSumA_Befoerderer.txtEORI.Text)
            NCTS.ncts_SumA_Versender_NLNR = cProgramFunctions.isLeerNothing(usrCntlSumA_Befoerderer.txtEORINL.Text)
        Else
            NCTS.ncts_SumA_Empfaenger_Name = cProgramFunctions.isLeerNothing(usrCntlSumA_Empfaenger.kdFirma.Text)
            NCTS.ncts_SumA_Empfaenger_StrasseHausnummer = cProgramFunctions.isLeerNothing(usrCntlSumA_Empfaenger.txtStrasse.Text)
            NCTS.ncts_SumA_Empfaenger_PLZ = cProgramFunctions.isLeerNothing(usrCntlSumA_Empfaenger.txtPlz.Text)
            NCTS.ncts_SumA_Empfaenger_Ort = cProgramFunctions.isLeerNothing(usrCntlSumA_Empfaenger.txtOrt.Text)
            NCTS.ncts_SumA_Empfaenger_Land = cProgramFunctions.isLeerNothing(usrCntlSumA_Empfaenger.sbLand._value)
            NCTS.ncts_SumA_Empfaenger_EORI = cProgramFunctions.isLeerNothing(usrCntlSumA_Empfaenger.txtEORI.Text)
            NCTS.ncts_SumA_Empfaenger_NLNR = cProgramFunctions.isLeerNothing(usrCntlSumA_Empfaenger.txtEORINL.Text)

            NCTS.ncts_SumA_Versender_Name = cProgramFunctions.isLeerNothing(usrCntlSumA_Versender.kdFirma.Text)
            NCTS.ncts_SumA_Versender_StrasseHausnummer = cProgramFunctions.isLeerNothing(usrCntlSumA_Versender.txtStrasse.Text)
            NCTS.ncts_SumA_Versender_PLZ = cProgramFunctions.isLeerNothing(usrCntlSumA_Versender.txtPlz.Text)
            NCTS.ncts_SumA_Versender_Ort = cProgramFunctions.isLeerNothing(usrCntlSumA_Versender.txtOrt.Text)
            NCTS.ncts_SumA_Versender_Land = cProgramFunctions.isLeerNothing(usrCntlSumA_Versender.sbLand._value)
            NCTS.ncts_SumA_Versender_EORI = cProgramFunctions.isLeerNothing(usrCntlSumA_Versender.txtEORI.Text)
            NCTS.ncts_SumA_Versender_NLNR = cProgramFunctions.isLeerNothing(usrCntlSumA_Versender.txtEORINL.Text)

        End If
    End Sub


    Public Sub setValues_TR(NCTS As VERAG_PROG_ALLGEMEIN.cNCTS_TR)

        'usrCntlSumA_Befoerderer.initME()
        If NCTS Is Nothing Then Exit Sub


        usrCntlHauptverpflichteter.kdFirma.Text = NCTS.ncts_Hauptverpflichteter_Name
        usrCntlHauptverpflichteter.txtStrasse.Text = NCTS.ncts_Hauptverpflichteter_StrasseHausnummer
        usrCntlHauptverpflichteter.txtPlz.Text = NCTS.ncts_Hauptverpflichteter_PLZ
        usrCntlHauptverpflichteter.txtOrt.Text = NCTS.ncts_Hauptverpflichteter_Ort
        usrCntlHauptverpflichteter.txtEORI.Text = NCTS.ncts_Hauptverpflichteter_EORI
        usrCntlHauptverpflichteter.txtEORINL.Text = NCTS.ncts_Hauptverpflichteter_NLNR
        usrCntlHauptverpflichteter.sbLand.SET_VALUE(NCTS.ncts_Hauptverpflichteter_Land)

        'usrCntlHauptverpflichteter.txtAnsprechpartner.Text=NCTS.ncts_Hauptverpflichteter_Ansprechpartner ' git es nicht

        usrCntlVersender.kdFirma.Text = NCTS.ncts_Versender_Name
        usrCntlVersender.txtStrasse.Text = NCTS.ncts_Versender_StrasseHausnummer
        usrCntlVersender.txtPlz.Text = NCTS.ncts_Versender_PLZ
        usrCntlVersender.txtOrt.Text = NCTS.ncts_Versender_Ort
        usrCntlVersender.txtEORI.Text = NCTS.ncts_Versender_EORI
        usrCntlVersender.txtEORINL.Text = NCTS.ncts_Versender_NLNR
        usrCntlVersender.sbLand.SET_VALUE(NCTS.ncts_Versender_Land)
        'usrCntlVersender.txtAnsprechpartner.Text=NCTS.ncts_Versender_Ansprechpartner ' git es nicht

        usrCntlEmpfaenger.kdFirma.Text = NCTS.ncts_Empfaenger_Name
        usrCntlEmpfaenger.txtStrasse.Text = NCTS.ncts_Empfaenger_StrasseHausnummer
        usrCntlEmpfaenger.txtPlz.Text = NCTS.ncts_Empfaenger_PLZ
        usrCntlEmpfaenger.txtOrt.Text = NCTS.ncts_Empfaenger_Ort
        usrCntlEmpfaenger.txtEORI.Text = NCTS.ncts_Empfaenger_EORI
        usrCntlEmpfaenger.txtEORINL.Text = NCTS.ncts_Empfaenger_NLNR
        usrCntlEmpfaenger.sbLand.SET_VALUE(NCTS.ncts_Empfaenger_Land)
        'usrCntlEmpfaenger.txtAnsprechpartner.Text=NCTS.ncts_Empfaenger_Ansprechpartner ' git es nicht
         
        usrCntlZugelEmpfaenger.txtEORI.Text = NCTS.ncts_ZugelassenerEmpfaenger_EORI
        'usrCntlHauptverpflichteter.txtEORINL.Text = NCTS.ncts_ZugelassenerEmpfaenger_BewilligungsnummerVersender
        'usrCntlHauptverpflichteter.sbLand.SET_VALUE(NCTS.ncts_Hauptverpflichteter_Land)
        'usrCntlHauptverpflichteter.txtAnsprechpartner.Text=NCTS.ncts_Hauptverpflichteter_Ansprechpartner ' git es nicht

        usrCntlSumA_Befoerderer.kdFirma.Text = NCTS.ncts_SumA_Befoerderer_Name
        usrCntlSumA_Befoerderer.txtStrasse.Text = NCTS.ncts_SumA_Befoerderer_StrasseHausnummer
        usrCntlSumA_Befoerderer.txtPlz.Text = NCTS.ncts_SumA_Befoerderer_PLZ
        usrCntlSumA_Befoerderer.txtOrt.Text = NCTS.ncts_SumA_Befoerderer_Ort
        usrCntlSumA_Befoerderer.txtEORI.Text = NCTS.ncts_SumA_Befoerderer_EORI
        usrCntlSumA_Befoerderer.txtEORINL.Text = NCTS.ncts_SumA_Befoerderer_NLNR
        usrCntlSumA_Befoerderer.sbLand.SET_VALUE(NCTS.ncts_SumA_Befoerderer_Land)
        'usrCntlSumA_Befoerderer.txtAnsprechpartner.Text=NCTS.ncts_SumA_Befoerderer_Ansprechpartner ' git es nicht

    End Sub

    Private Sub cbxSumABeforderer_CheckedChanged(sender As Object, e As EventArgs) Handles cbxSumABeforderer.CheckedChanged
        usrCntlSumA_Versender.Enabled = Not cbxSumABeforderer.Checked
        usrCntlSumA_Empfaenger.Enabled = Not cbxSumABeforderer.Checked
        If cbxSumABeforderer.Checked Then
            usrCntlSumA_Versender.BackColor = Color.WhiteSmoke
            usrCntlSumA_Empfaenger.BackColor = Color.WhiteSmoke
            PictureBox1.Visible = False
        Else
            usrCntlSumA_Versender.BackColor = Color.PapayaWhip
            usrCntlSumA_Empfaenger.BackColor = Color.PapayaWhip
            PictureBox1.Visible = True
        End If
    End Sub

    Private Sub MyComboBox1_SelectedIndexChanged(sender As Object, e As EventArgs) Handles MyComboBox1.SelectedIndexChanged
        Select Case MyComboBox1._value
            Case "VERAG_AG"
                usrCntlHauptverpflichteter.txtEORI.Text = "ATEOS1000000199"
                usrCntlHauptverpflichteter.txtEORINL.Text = "0001"
                usrCntlHauptverpflichteter.kdFirma.Text = "VERAG SPEDITION AG"
                usrCntlHauptverpflichteter.txtStrasse.Text = "SUBEN 14-15"
                usrCntlHauptverpflichteter.txtPlz.Text = "4975"
                usrCntlHauptverpflichteter.txtOrt.Text = "Suben"
                usrCntlHauptverpflichteter.sbLand.SET_VALUE("AT")
            Case "VERAG_GMBH"
                Dim AD As New VERAG_PROG_ALLGEMEIN.cAdressen(712255) ' VERAG Neuhaus
                Dim KD As New VERAG_PROG_ALLGEMEIN.cKunde(712255) ' VERAG Neuhaus
                usrCntlHauptverpflichteter.txtEORI.Text = "DE4824105" ' KD.EORITIN
                usrCntlHauptverpflichteter.txtEORINL.Text = "0000"
                usrCntlHauptverpflichteter.kdFirma.Text = (If(AD.Name_1, "") & " " & If(AD.Name_2, "")).trim
                usrCntlHauptverpflichteter.txtStrasse.Text = AD.Straße
                usrCntlHauptverpflichteter.txtPlz.Text = AD.PLZ
                usrCntlHauptverpflichteter.txtOrt.Text = AD.Ort
                usrCntlHauptverpflichteter.sbLand.SET_VALUE(cProgramFunctions.getISO2Land(AD.LandKz))


            Case "UNISPED_AT"
                usrCntlHauptverpflichteter.txtEORI.Text = "ATEOS1000000088"
                usrCntlHauptverpflichteter.txtEORINL.Text = "0000"
                usrCntlHauptverpflichteter.kdFirma.Text = "UNISPED Speditions GmbH"
                usrCntlHauptverpflichteter.txtStrasse.Text = "SUBEN 15"
                usrCntlHauptverpflichteter.txtPlz.Text = "4975"
                usrCntlHauptverpflichteter.txtOrt.Text = "Suben"
                usrCntlHauptverpflichteter.sbLand.SET_VALUE("AT")
            Case "UNISPED_DE"
                usrCntlHauptverpflichteter.txtEORI.Text = "DE7467540" ' KD.EORITIN
                usrCntlHauptverpflichteter.txtEORINL.Text = "0000"
                usrCntlHauptverpflichteter.kdFirma.Text = "UNISPED Deutschland Speditions GmbH"
                usrCntlHauptverpflichteter.txtStrasse.Text = "HARTHAM 6"
                usrCntlHauptverpflichteter.txtPlz.Text = "94152"
                usrCntlHauptverpflichteter.txtOrt.Text = "NEUHAUS AM INN"
                usrCntlHauptverpflichteter.sbLand.SET_VALUE("DE")


            Case "TOBB"
                usrCntlHauptverpflichteter.txtEORI.Text = "ITTR0000000000152"
                usrCntlHauptverpflichteter.txtEORINL.Text = ""
                usrCntlHauptverpflichteter.kdFirma.Text = "TOBB UND Lojistik A.S."
                usrCntlHauptverpflichteter.txtStrasse.Text = "Bumlupmar Bulvan Nr. 252"
                usrCntlHauptverpflichteter.txtPlz.Text = "6530"
                usrCntlHauptverpflichteter.txtOrt.Text = "Ankara"
                usrCntlHauptverpflichteter.sbLand.SET_VALUE("TR")
            Case "EKOL"
                usrCntlHauptverpflichteter.txtEORI.Text = "ITTR0000000000152"
                usrCntlHauptverpflichteter.txtEORINL.Text = ""
                usrCntlHauptverpflichteter.kdFirma.Text = "EKOL Lojistik AS."
                usrCntlHauptverpflichteter.txtStrasse.Text = "Ekol Cad. No 2"
                usrCntlHauptverpflichteter.txtPlz.Text = "34935"
                usrCntlHauptverpflichteter.txtOrt.Text = "Sultanbeyli -Istanbul"
                usrCntlHauptverpflichteter.sbLand.SET_VALUE("TR")
            Case "SGS"
                usrCntlHauptverpflichteter.txtEORI.Text = "DE3331326"
                usrCntlHauptverpflichteter.txtEORINL.Text = "0000"
                usrCntlHauptverpflichteter.kdFirma.Text = "SGS GERMANY GmbH"
                usrCntlHauptverpflichteter.txtStrasse.Text = "Rödingsmarkt 16"
                usrCntlHauptverpflichteter.txtPlz.Text = "20459"
                usrCntlHauptverpflichteter.txtOrt.Text = "Hamburg"
                usrCntlHauptverpflichteter.sbLand.SET_VALUE("DE")
            Case "MARS"
                usrCntlHauptverpflichteter.txtEORI.Text = "BGKTR6120538808Z8"
                usrCntlHauptverpflichteter.txtEORINL.Text = ""
                usrCntlHauptverpflichteter.kdFirma.Text = "MARS LOJISTIK ULUS.TAS.DEP.DAGITIM VE TIC A.S."
                usrCntlHauptverpflichteter.txtStrasse.Text = "Yenibosna Merkez Nr.21"
                usrCntlHauptverpflichteter.txtPlz.Text = "00000"
                usrCntlHauptverpflichteter.txtOrt.Text = "ISTANBUL"
                usrCntlHauptverpflichteter.sbLand.SET_VALUE("TR")
            Case Else
                usrCntlHauptverpflichteter.txtEORI.Text = ""
                usrCntlHauptverpflichteter.txtEORINL.Text = ""
                usrCntlHauptverpflichteter.kdFirma.Text = ""
                usrCntlHauptverpflichteter.txtStrasse.Text = ""
                usrCntlHauptverpflichteter.txtPlz.Text = ""
                usrCntlHauptverpflichteter.txtOrt.Text = ""
                usrCntlHauptverpflichteter.sbLand.SET_VALUE("")

        End Select
    End Sub


End Class
